diff --git a/src/backend/optimizer/plan/planner.c b/src/backend/optimizer/plan/planner.c
index 4dae405..4aebbf9 100644
--- a/src/backend/optimizer/plan/planner.c
+++ b/src/backend/optimizer/plan/planner.c
@@ -2173,7 +2173,10 @@ preprocess_grouping_sets(PlannerInfo *root)
 		if (sortable_sets)
 			sets = extract_rollup_sets(sortable_sets);
 		else
-			sets = NIL;
+			ereport(ERROR,
+					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
+					 errmsg("could not implement GROUP BY"),
+					 errdetail("Some of the datatypes only support hashing, while others only support sorting.")));
 	}
 	else
 		sets = extract_rollup_sets(parse->groupingSets);
